Skip to main content

Branchless Banking Agents

Count of branchless banking agents (non-bank digital agents) in the network.

GET/3.0/alternate/branchless-banking-agents

Request​

Authentication​

  • Type: Bearer Token
  • Required: Yes

Parameters​

This endpoint does not accept any query parameters.

Response​

Success Response (200)​

{ 
"status":"ok",
"message": "",
"data":[
{
"period": "Nov 2024",
"total": 1234567,
"provinces" :[
{
"key": "punjab",
"value": 123456
},
{
"key": "sindh",
"value": 234567
},
{
"key": "kpk",
"value": 345678
},
{
"key": "balochistan",
"value": 456789
}
]
}
]
}

Response Fields​

FieldTypeDescription
periodstringPeriod of the data point (e.g., "Nov 2024")
totalnumberTotal number of branchless banking agents
provincesarray of objectsBreakdown of branchless banking agents by province View

Provinces Object​

FieldTypeDescription
keystringProvince key (e.g., "punjab", "sindh", "kpk", "balochistan")
valuenumberNumber of branchless banking agents in the specified province

Error Responses​

For detailed Common Error responses, see the Error Handling.

Examples​

GET Branchless Banking Agents​

curl -X GET "https://csapis.com/3.0/alternate/branchless-banking-agents" -H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases​

  • Data analysis
  • Dashboard / metrics